aboutsummaryrefslogtreecommitdiff
path: root/virtual
diff options
context:
space:
mode:
Diffstat (limited to 'virtual')
-rw-r--r--virtual/tmpfiles/tmpfiles-0-r6.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/virtual/tmpfiles/tmpfiles-0-r6.ebuild b/virtual/tmpfiles/tmpfiles-0-r6.ebuild
new file mode 100644
index 0000000..52e67d9
--- /dev/null
+++ b/virtual/tmpfiles/tmpfiles-0-r6.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual to select between different tmpfiles.d handlers"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 loong m68k mips ppc ppc64 riscv s390 sparc x86 amd64-linux x86-linux arm64-macos ppc-macos x64-macos x64-solaris"
+IUSE="systemd"
+
+RDEPEND="
+ !prefix-guest? (
+ systemd? ( sys-apps/systemd )
+ !systemd? (
+ || (
+ sys-apps/hardenedtmpfiles
+ sys-apps/opentmpfiles
+ sys-apps/systemd-utils[tmpfiles]
+ sys-apps/tmpfilesd
+ )
+ )
+ )
+"